/*
@author zrc
计算个人名字出售的住宅物业税费
@param
deal_price: 成交价
except_price： 评估价
apart_year: 房产证年期
is_only_property: 是否唯一
invoice_price: 就发发票价
*/
function reckonPersonalHouseTax(deal_price, except_price, apart_year, is_only_property, invoice_price) {
    //返回结果
    var result_list = new Array();
    //增值税
    var add_tax = 0;
    var price = deal_price >= except_price ? deal_price : except_price;
    //增值税
    added_tax = apart_year >= 2 ? 0 : price * 0.05;
    added_tax = added_tax > 0 ? added_tax : 0;
    //教育税
    var education_tax = added_tax * 0.03;
    //地方教育税
    var local_education_tax = added_tax * 0.02;
    //城市维护建设税
    var city_construction_tax = added_tax * 0.07;
    //附加税费
    var sur_tax = education_tax + local_education_tax + city_construction_tax;
    //个人所得税
    var personal_tax = 0;
    if (apart_year >= 5 && is_only_property == '是') {
        //大于5年，卖房唯一，免去个人所得
        personal_tax = 0;
    } else {
        if (invoice_price > 0) {
            //提供旧发票
            personal_tax = (price - invoice_price) * 0.2;
            //无增值额，或者是负数，个人所得都是0
            personal_tax = personal_tax < 0 ? 0 : personal_tax;
        } else {
            //不提供旧发票
            personal_tax = price * 0.02;
        }
    }
    result_list['added_tax'] = added_tax;
    result_list['education_tax'] = education_tax;
    result_list['local_education_tax'] = local_education_tax;
    result_list['city_construction_tax'] = city_construction_tax;
    result_list['sur_tax'] = sur_tax;
    result_list['personal_tax'] = personal_tax;
    result_list['price'] = price;
    return result_list;
}

//计算契税
function reckonDeed(price, property_identity, is_ninety, property_count) {
    var deed_tax = 0;
    //契税
    if (property_identity == '个人') {
        if (is_ninety == '90以下/平方米' && property_count == 0) {
            deed_tax = price * 0.01;
        } else if (is_ninety == '90以下/平方米' && property_count == 1) {
            deed_tax = price * 0.01;
        } else if (is_ninety == '90以上/平方米' && property_count == 0) {
            deed_tax = price * 0.015;
        } else if (is_ninety == '90以上/平方米' && property_count == 1) {
            deed_tax = price * 0.02;
        } else {
            deed_tax = price * 0.03;
        }
    } else {
        deed_tax = price * 0.03;
    }
    return deed_tax;
}

//计算商业税费
function reckonBusinessTax(deal_price, except_price, invoice_price, isSix, apart_year) {
    var price = deal_price >= except_price ? deal_price : except_price;
    //除税价
    var noTaxPrice = invoice_price == 0 ? price : price / 1.05 + 5 / 105 * invoice_price;
    //增值税
    var added_tax = (noTaxPrice - invoice_price) * 0.05;
    added_tax = added_tax > 0 ? added_tax : 0;
    //教育税
    var education_tax = added_tax * 0.03;
    //地方教育税
    var local_education_tax = added_tax * 0.02;
    //城市维护建设税
    var city_construction_tax = added_tax * 0.07;
    //印花税
    var stamp_tax = price * 0.0005;
    //个人增值税 用了除税价
    var personal_tax = invoice_price != 0 ? (noTaxPrice - invoice_price) * 0.2 : noTaxPrice * 0.02;
    personal_tax = personal_tax > 0 ? personal_tax : 0;
    //附加税费
    var sur_tax = education_tax + local_education_tax + city_construction_tax;
    //契税
    var deed_tax = noTaxPrice * 0.03;
    //上次契税
    var last_deed_tax = invoice_price * 0.03;

    //土地增值税
    var local_add_tax = 0;
    if (invoice_price != 0) {
        //成本价计算所需要的房产证年份，满6个月算一年
        var cost_year = isSix ? apart_year + 1 : apart_year;
        //成本价 增值税 + 城市维护建设税 + 印花税 + 教育费附加 + 地方教育附加 + 旧契税 + 旧发票价 + 旧发票价 * （5% * year）
        var cost_price = added_tax + sur_tax + stamp_tax + last_deed_tax + parseFloat(invoice_price) + (invoice_price * (0.05 * cost_year));
        alert(invoice_price + (invoice_price * (0.05 * cost_year)));

        //增值额 = 新的价钱减去成本价
        var add_price = price - cost_price;
        if (add_price < invoice_price * 0.5) {
            //土地增值税
            local_add_tax = add_price * 0.3;
        } else if (add_price >= invoice_price * 0.5 && add_price < invoice_price) {
            //土地增值税
            local_add_tax = add_price * 0.4 - cost_price * 0.05;
        } else if (add_price >= invoice_price && add_price < invoice_price * 2) {
            //土地增值税
            local_add_tax = add_price * 0.5 - cost_price * 0.15;
        } else {
            //土地增值税
            local_add_tax = add_price * 0.6 - cost_price * 0.35;
        }
    } else {
        local_add_tax = noTaxPrice * 0.06;
    }
    local_add_tax = local_add_tax > 0 ? local_add_tax : 0;

    var result_list = new Array();
    result_list['added_tax'] = added_tax;
    result_list['education_tax'] = education_tax;
    result_list['local_education_tax'] = local_education_tax;
    result_list['city_construction_tax'] = city_construction_tax;
    result_list['sur_tax'] = sur_tax;
    result_list['personal_tax'] = personal_tax;
    result_list['stamp_tax'] = stamp_tax;
    result_list['deed_tax'] = deed_tax;
    result_list['local_add_tax'] = local_add_tax;
    result_list['price'] = price;
    total_tax = added_tax + sur_tax + personal_tax + stamp_tax + local_add_tax;
    result_list['total_tax'] = total_tax;
    return result_list;
}

/*计算公司税费*/
function reckonCompanyTax(deal_price, except_price, invoice_price, isSix, apart_year) {
    var price = deal_price >= except_price ? deal_price : except_price;
    //除税价 新发票价/1.05+5/105*旧发票价
    var noTaxPrice = invoice_price == 0 ? price : price / 1.05 + 5 / 105 * invoice_price;
    //增值税   拍卖:noTaxPrice - (             invoice_price/1.05)
    var added_tax = (noTaxPrice - invoice_price) * 0.05;
    added_tax = added_tax > 0 ? added_tax : 0;
    //教育税
    var education_tax = added_tax * 0.03;
    //地方教育税
    var local_education_tax = added_tax * 0.02;
    //城市维护建设税
    var city_construction_tax = added_tax * 0.07;
    //印花税
    var stamp_tax = price * 0.0005;
    //附加税费
    var sur_tax = education_tax + local_education_tax + city_construction_tax;
    //契税
    var deed_tax = noTaxPrice * 0.03;
    //上次契税
    var last_deed_tax = invoice_price * 0.03;

    //土地增值税
    var local_add_tax = 0;
    if (invoice_price != 0) {
        //成本价计算所需要的房产证年份，满6个月算一年
        var cost_year = isSix ? apart_year + 1 : apart_year;
        //成本价 增值税 + 城市维护建设税 + 印花税 + 教育费附加 + 地方教育附加 + 旧契税 + 旧发票价 + 旧发票价 * （5% * year）
        var cost_price = added_tax + sur_tax + stamp_tax + last_deed_tax + parseFloat(invoice_price) + invoice_price * (0.05 * cost_year);
        //增值额 = 新的价钱减去成本价
        var add_price = price - cost_price;
        if (add_price < invoice_price * 0.5) {
            //土地增值税
            local_add_tax = add_price * 0.3
        } else if (add_price >= invoice_price * 0.5 && add_price < invoice_price) {
            //土地增值税
            local_add_tax = add_price * 0.4 - cost_price * 0.05
        } else if (add_price >= invoice_price && add_price < invoice_price * 2) {
            //土地增值税
            local_add_tax = add_price * 0.5 - cost_price * 0.15
        } else {
            //土地增值税
            local_add_tax = add_price * 0.6 - cost_price * 0.35
        }
    } else {
        local_add_tax = noTaxPrice * 0.05;
    }

    local_add_tax = local_add_tax > 0 ? local_add_tax : 0;

    var result_list = new Array();
    result_list['added_tax'] = added_tax;
    result_list['education_tax'] = education_tax;
    result_list['local_education_tax'] = local_education_tax;
    result_list['city_construction_tax'] = city_construction_tax;
    result_list['sur_tax'] = sur_tax;
    result_list['personal_tax'] = 0;
    result_list['stamp_tax'] = stamp_tax;
    result_list['deed_tax'] = deed_tax;
    result_list['local_add_tax'] = local_add_tax;
    result_list['price'] = price;
    total_tax = added_tax + sur_tax + stamp_tax + local_add_tax;
    result_list['total_tax'] = total_tax;
    return result_list;
}

/*计算拍卖*/
function reckonAuction(deal_price, except_price, invoice_price, isSix, apart_year) {
    var price = deal_price >= except_price ? deal_price : except_price;
    //除税价
    var noTaxPrice = invoice_price == 0 ? price : invoice_price / 1.05;
    //增值税
    var added_tax = (price - noTaxPrice) * 0.05
    added_tax = added_tax > 0 ? added_tax : 0;
    //教育税
    var education_tax = added_tax * 0.03;
    //地方教育税
    var local_education_tax = added_tax * 0.02;
    //城市维护建设税
    var city_construction_tax = added_tax * 0.07;
    //印花税
    var stamp_tax = price * 0.0005;
    //附加税费
    var sur_tax = education_tax + local_education_tax + city_construction_tax;
    //契税
    var deed_tax = price * 0.03;
    //上次契税
    var last_deed_tax = invoice_price * 0.03;

    //土地增值税
    var local_add_tax = 0;
    if (invoice_price != 0) {
        //成本价计算所需要的房产证年份，满6个月算一年
        var cost_year = isSix ? apart_year + 1 : apart_year;
        //成本价 增值税 + 城市维护建设税 + 印花税 + 教育费附加 + 地方教育附加 + 旧契税 + 旧发票价 + 旧发票价 * （5% * year）
        var cost_price = sur_tax + stamp_tax + last_deed_tax + parseFloat(invoice_price) + invoice_price * (0.05 * cost_year);
        //增值额 = 新的价钱减去成本价
        var add_price = price - cost_price;
        if (add_price < invoice_price * 0.5) {
            //土地增值税
            local_add_tax = add_price * 0.3
        } else if (add_price >= invoice_price * 0.5 && add_price < invoice_price) {
            //土地增值税
            local_add_tax = add_price * 0.4 - cost_price * 0.05
        } else if (add_price >= invoice_price && add_price < invoice_price * 2) {
            //土地增值税
            local_add_tax = add_price * 0.5 - cost_price * 0.15
        } else {
            //土地增值税
            local_add_tax = add_price * 0.6 - cost_price * 0.35
        }
    } else {
        local_add_tax = noTaxPrice * 0.05;
    }

    local_add_tax = local_add_tax > 0 ? local_add_tax : 0;

    var result_list = new Array();
    result_list['added_tax'] = added_tax;
    result_list['education_tax'] = education_tax;
    result_list['local_education_tax'] = local_education_tax;
    result_list['city_construction_tax'] = city_construction_tax;
    result_list['sur_tax'] = sur_tax;
    result_list['personal_tax'] = 0;
    result_list['stamp_tax'] = stamp_tax;
    result_list['deed_tax'] = deed_tax;
    result_list['local_add_tax'] = local_add_tax;
    result_list['price'] = price;
    total_tax = added_tax + sur_tax + stamp_tax + local_add_tax;
    result_list['total_tax'] = total_tax;
    return result_list;
}
